Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdfwriter
Class ContentStreamWriter

    java.lang.Object
      org.pdfbox.pdfwriter.ContentStreamWriter

public class ContentStreamWriter
extends Object

A class that will take a list of tokens and write out a stream with them.

Version:
  $Revision: 1.8 $
Author:
  Ben Litchfield

Field Summary
`static byte[]` | `EOL` standard line separator on this platform.
`static byte[]` | `SPACE` space character.

Constructor Summary
`ContentStreamWriter(OutputStream out)` This will create a new content stream writer.

Method Summary
`void` | `writeTokens(List tokens)` This will write out the list of tokens to the stream.
`void` | `writeTokens(List tokens, int start, int end)` This will write out the list of tokens to the stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPACE

    public static final byte[] SPACE

  space character.

### EOL

    public static final byte[] EOL

  standard line separator on this platform.

Constructor Detail

### ContentStreamWriter

    public ContentStreamWriter(OutputStream out)

  This will create a new content stream writer.

Parameters:
  `out` - The stream to write the data to.

Method Detail

### writeTokens

    public void writeTokens(List tokens,
                            int start,
                            int end)
                     throws IOException

  This will write out the list of tokens to the stream.

  Parameters:
    `tokens` - The tokens to write to the stream.
    `start` - The start index into the list of tokens.
    `end` - The end index into the list of tokens.
  Throws:
    `IOException` - If there is an error writing to the stream.

### writeTokens

    public void writeTokens(List tokens)
                     throws IOException

  This will write out the list of tokens to the stream.

  Parameters:
    `tokens` - The tokens to write to the stream.
  Throws:
    `IOException` - If there is an error writing to the stream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD